ALAS-2016-642


Amazon Linux AMI Security Advisory: ALAS-2016-642
Advisory Release Date: 2016-01-19 19:08 Pacific
Severity: Medium
References: CVE-2016-0728 

Issue Overview:

Perception Point Research identified a use-after-free vulnerability, representing a local privilege escalation vulnerability in the Linux kernel. Their post contains a detailed analysis of the bug.

kernel-4.1.13-19.30.amzn1 and earlier versions are impacted.


Affected Packages:

kernel


Issue Correction:
Run yum clean all followed by yum update kernel to update your system. You will need to reboot your system in order for the new kernel to be running.

New Packages:
i686:
    kernel-tools-debuginfo-4.1.13-19.31.amzn1.i686
    kernel-devel-4.1.13-19.31.amzn1.i686
    kernel-headers-4.1.13-19.31.amzn1.i686
    perf-debuginfo-4.1.13-19.31.amzn1.i686
    kernel-tools-4.1.13-19.31.amzn1.i686
    kernel-4.1.13-19.31.amzn1.i686
    kernel-tools-devel-4.1.13-19.31.amzn1.i686
    perf-4.1.13-19.31.amzn1.i686
    kernel-debuginfo-common-i686-4.1.13-19.31.amzn1.i686
    kernel-debuginfo-4.1.13-19.31.amzn1.i686

noarch:
    kernel-doc-4.1.13-19.31.amzn1.noarch

src:
    kernel-4.1.13-19.31.amzn1.src

x86_64:
    kernel-tools-4.1.13-19.31.amzn1.x86_64
    perf-debuginfo-4.1.13-19.31.amzn1.x86_64
    kernel-headers-4.1.13-19.31.amzn1.x86_64
    kernel-tools-devel-4.1.13-19.31.amzn1.x86_64
    kernel-debuginfo-common-x86_64-4.1.13-19.31.amzn1.x86_64
    kernel-tools-debuginfo-4.1.13-19.31.amzn1.x86_64
    kernel-debuginfo-4.1.13-19.31.amzn1.x86_64
    kernel-4.1.13-19.31.amzn1.x86_64
    kernel-devel-4.1.13-19.31.amzn1.x86_64
    perf-4.1.13-19.31.amzn1.x86_64